Updated configure for new changes in configure.in
authorSam Lantinga <slouken@libsdl.org>
Sat, 06 Aug 2011 01:21:24 -0400
changeset 5604e2ad06c52c65
parent 5603 e1ca92e7f2ff
child 5605 9269bf952041
Updated configure for new changes in configure.in
configure
     1.1 --- a/configure	Fri Aug 05 00:55:29 2011 -0400
     1.2 +++ b/configure	Sat Aug 06 01:21:24 2011 -0400
     1.3 @@ -2064,6 +2064,7 @@
     1.4  
     1.5  
     1.6  
     1.7 +
     1.8  orig_CFLAGS="$CFLAGS"
     1.9  
    1.10  #
    1.11 @@ -3771,13 +3772,13 @@
    1.12  else
    1.13    lt_cv_nm_interface="BSD nm"
    1.14    echo "int some_variable = 0;" > conftest.$ac_ext
    1.15 -  (eval echo "\"\$as_me:3774: $ac_compile\"" >&5)
    1.16 +  (eval echo "\"\$as_me:3775: $ac_compile\"" >&5)
    1.17    (eval "$ac_compile" 2>conftest.err)
    1.18    cat conftest.err >&5
    1.19 -  (eval echo "\"\$as_me:3777: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
    1.20 +  (eval echo "\"\$as_me:3778: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
    1.21    (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
    1.22    cat conftest.err >&5
    1.23 -  (eval echo "\"\$as_me:3780: output\"" >&5)
    1.24 +  (eval echo "\"\$as_me:3781: output\"" >&5)
    1.25    cat conftest.out >&5
    1.26    if $GREP 'External.*some_variable' conftest.out > /dev/null; then
    1.27      lt_cv_nm_interface="MS dumpbin"
    1.28 @@ -5004,7 +5005,7 @@
    1.29    ;;
    1.30  *-*-irix6*)
    1.31    # Find out which ABI we are using.
    1.32 -  echo '#line 5007 "configure"' > conftest.$ac_ext
    1.33 +  echo '#line 5008 "configure"' > conftest.$ac_ext
    1.34    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1.35    (eval $ac_compile) 2>&5
    1.36    ac_status=$?
    1.37 @@ -7165,11 +7166,11 @@
    1.38     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1.39     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1.40     -e 's:$: $lt_compiler_flag:'`
    1.41 -   (eval echo "\"\$as_me:7168: $lt_compile\"" >&5)
    1.42 +   (eval echo "\"\$as_me:7169: $lt_compile\"" >&5)
    1.43     (eval "$lt_compile" 2>conftest.err)
    1.44     ac_status=$?
    1.45     cat conftest.err >&5
    1.46 -   echo "$as_me:7172: \$? = $ac_status" >&5
    1.47 +   echo "$as_me:7173: \$? = $ac_status" >&5
    1.48     if (exit $ac_status) && test -s "$ac_outfile"; then
    1.49       # The compiler can only warn and ignore the option if not recognized
    1.50       # So say no if there are warnings other than the usual output.
    1.51 @@ -7504,11 +7505,11 @@
    1.52     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1.53     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1.54     -e 's:$: $lt_compiler_flag:'`
    1.55 -   (eval echo "\"\$as_me:7507: $lt_compile\"" >&5)
    1.56 +   (eval echo "\"\$as_me:7508: $lt_compile\"" >&5)
    1.57     (eval "$lt_compile" 2>conftest.err)
    1.58     ac_status=$?
    1.59     cat conftest.err >&5
    1.60 -   echo "$as_me:7511: \$? = $ac_status" >&5
    1.61 +   echo "$as_me:7512: \$? = $ac_status" >&5
    1.62     if (exit $ac_status) && test -s "$ac_outfile"; then
    1.63       # The compiler can only warn and ignore the option if not recognized
    1.64       # So say no if there are warnings other than the usual output.
    1.65 @@ -7609,11 +7610,11 @@
    1.66     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1.67     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1.68     -e 's:$: $lt_compiler_flag:'`
    1.69 -   (eval echo "\"\$as_me:7612: $lt_compile\"" >&5)
    1.70 +   (eval echo "\"\$as_me:7613: $lt_compile\"" >&5)
    1.71     (eval "$lt_compile" 2>out/conftest.err)
    1.72     ac_status=$?
    1.73     cat out/conftest.err >&5
    1.74 -   echo "$as_me:7616: \$? = $ac_status" >&5
    1.75 +   echo "$as_me:7617: \$? = $ac_status" >&5
    1.76     if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1.77     then
    1.78       # The compiler can only warn and ignore the option if not recognized
    1.79 @@ -7664,11 +7665,11 @@
    1.80     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    1.81     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1.82     -e 's:$: $lt_compiler_flag:'`
    1.83 -   (eval echo "\"\$as_me:7667: $lt_compile\"" >&5)
    1.84 +   (eval echo "\"\$as_me:7668: $lt_compile\"" >&5)
    1.85     (eval "$lt_compile" 2>out/conftest.err)
    1.86     ac_status=$?
    1.87     cat out/conftest.err >&5
    1.88 -   echo "$as_me:7671: \$? = $ac_status" >&5
    1.89 +   echo "$as_me:7672: \$? = $ac_status" >&5
    1.90     if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1.91     then
    1.92       # The compiler can only warn and ignore the option if not recognized
    1.93 @@ -10422,7 +10423,7 @@
    1.94    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1.95    lt_status=$lt_dlunknown
    1.96    cat > conftest.$ac_ext <<_LT_EOF
    1.97 -#line 10425 "configure"
    1.98 +#line 10426 "configure"
    1.99  #include "confdefs.h"
   1.100  
   1.101  #if HAVE_DLFCN_H
   1.102 @@ -10518,7 +10519,7 @@
   1.103    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   1.104    lt_status=$lt_dlunknown
   1.105    cat > conftest.$ac_ext <<_LT_EOF
   1.106 -#line 10521 "configure"
   1.107 +#line 10522 "configure"
   1.108  #include "confdefs.h"
   1.109  
   1.110  #if HAVE_DLFCN_H
   1.111 @@ -14200,11 +14201,11 @@
   1.112     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
   1.113     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
   1.114     -e 's:$: $lt_compiler_flag:'`
   1.115 -   (eval echo "\"\$as_me:14203: $lt_compile\"" >&5)
   1.116 +   (eval echo "\"\$as_me:14204: $lt_compile\"" >&5)
   1.117     (eval "$lt_compile" 2>conftest.err)
   1.118     ac_status=$?
   1.119     cat conftest.err >&5
   1.120 -   echo "$as_me:14207: \$? = $ac_status" >&5
   1.121 +   echo "$as_me:14208: \$? = $ac_status" >&5
   1.122     if (exit $ac_status) && test -s "$ac_outfile"; then
   1.123       # The compiler can only warn and ignore the option if not recognized
   1.124       # So say no if there are warnings other than the usual output.
   1.125 @@ -14299,11 +14300,11 @@
   1.126     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
   1.127     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
   1.128     -e 's:$: $lt_compiler_flag:'`
   1.129 -   (eval echo "\"\$as_me:14302: $lt_compile\"" >&5)
   1.130 +   (eval echo "\"\$as_me:14303: $lt_compile\"" >&5)
   1.131     (eval "$lt_compile" 2>out/conftest.err)
   1.132     ac_status=$?
   1.133     cat out/conftest.err >&5
   1.134 -   echo "$as_me:14306: \$? = $ac_status" >&5
   1.135 +   echo "$as_me:14307: \$? = $ac_status" >&5
   1.136     if (exit $ac_status) && test -s out/conftest2.$ac_objext
   1.137     then
   1.138       # The compiler can only warn and ignore the option if not recognized
   1.139 @@ -14351,11 +14352,11 @@
   1.140     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
   1.141     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
   1.142     -e 's:$: $lt_compiler_flag:'`
   1.143 -   (eval echo "\"\$as_me:14354: $lt_compile\"" >&5)
   1.144 +   (eval echo "\"\$as_me:14355: $lt_compile\"" >&5)
   1.145     (eval "$lt_compile" 2>out/conftest.err)
   1.146     ac_status=$?
   1.147     cat out/conftest.err >&5
   1.148 -   echo "$as_me:14358: \$? = $ac_status" >&5
   1.149 +   echo "$as_me:14359: \$? = $ac_status" >&5
   1.150     if (exit $ac_status) && test -s out/conftest2.$ac_objext
   1.151     then
   1.152       # The compiler can only warn and ignore the option if not recognized
   1.153 @@ -15786,25 +15787,29 @@
   1.154      auto) # Use optimization settings to determine assertion level
   1.155          ;;
   1.156      disabled)
   1.157 -        cat >>confdefs.h <<\_ACEOF
   1.158 +
   1.159 +cat >>confdefs.h <<\_ACEOF
   1.160  #define SDL_DEFAULT_ASSERT_LEVEL 0
   1.161  _ACEOF
   1.162  
   1.163          ;;
   1.164      release)
   1.165 -        cat >>confdefs.h <<\_ACEOF
   1.166 +
   1.167 +cat >>confdefs.h <<\_ACEOF
   1.168  #define SDL_DEFAULT_ASSERT_LEVEL 1
   1.169  _ACEOF
   1.170  
   1.171          ;;
   1.172      enabled)
   1.173 -        cat >>confdefs.h <<\_ACEOF
   1.174 +
   1.175 +cat >>confdefs.h <<\_ACEOF
   1.176  #define SDL_DEFAULT_ASSERT_LEVEL 2
   1.177  _ACEOF
   1.178  
   1.179          ;;
   1.180      paranoid)
   1.181 -        cat >>confdefs.h <<\_ACEOF
   1.182 +
   1.183 +cat >>confdefs.h <<\_ACEOF
   1.184  #define SDL_DEFAULT_ASSERT_LEVEL 3
   1.185  _ACEOF
   1.186  
   1.187 @@ -15891,7 +15896,8 @@
   1.188  fi
   1.189  
   1.190  if test x$enable_libc = xyes; then
   1.191 -    cat >>confdefs.h <<\_ACEOF
   1.192 +
   1.193 +cat >>confdefs.h <<\_ACEOF
   1.194  #define HAVE_LIBC 1
   1.195  _ACEOF
   1.196  
   1.197 @@ -16785,7 +16791,8 @@
   1.198  
   1.199  
   1.200      if test x$ac_cv_func_memcmp_working = xyes; then
   1.201 -        cat >>confdefs.h <<\_ACEOF
   1.202 +
   1.203 +cat >>confdefs.h <<\_ACEOF
   1.204  #define HAVE_MEMCMP 1
   1.205  _ACEOF
   1.206  
   1.207 @@ -17034,7 +17041,8 @@
   1.208  fi
   1.209  
   1.210      if test x$ac_cv_func_strtod = xyes; then
   1.211 -        cat >>confdefs.h <<\_ACEOF
   1.212 +
   1.213 +cat >>confdefs.h <<\_ACEOF
   1.214  #define HAVE_STRTOD 1
   1.215  _ACEOF
   1.216  
   1.217 @@ -17158,7 +17166,8 @@
   1.218  	 test ! -s conftest.err
   1.219         } && test -s conftest.$ac_objext; then
   1.220  
   1.221 -        cat >>confdefs.h <<\_ACEOF
   1.222 +
   1.223 +cat >>confdefs.h <<\_ACEOF
   1.224  #define HAVE_MPROTECT 1
   1.225  _ACEOF
   1.226  
   1.227 @@ -17649,6 +17658,109 @@
   1.228  fi
   1.229  done
   1.230  
   1.231 +
   1.232 +    { echo "$as_me:$LINENO: checking for struct sigaction.sa_sigaction" >&5
   1.233 +echo $ECHO_N "checking for struct sigaction.sa_sigaction... $ECHO_C" >&6; }
   1.234 +if test "${ac_cv_member_struct_sigaction_sa_sigaction+set}" = set; then
   1.235 +  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.236 +else
   1.237 +  cat >conftest.$ac_ext <<_ACEOF
   1.238 +/* confdefs.h.  */
   1.239 +_ACEOF
   1.240 +cat confdefs.h >>conftest.$ac_ext
   1.241 +cat >>conftest.$ac_ext <<_ACEOF
   1.242 +/* end confdefs.h.  */
   1.243 +#include <signal.h>
   1.244 +
   1.245 +int
   1.246 +main ()
   1.247 +{
   1.248 +static struct sigaction ac_aggr;
   1.249 +if (ac_aggr.sa_sigaction)
   1.250 +return 0;
   1.251 +  ;
   1.252 +  return 0;
   1.253 +}
   1.254 +_ACEOF
   1.255 +rm -f conftest.$ac_objext
   1.256 +if { (ac_try="$ac_compile"
   1.257 +case "(($ac_try" in
   1.258 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.259 +  *) ac_try_echo=$ac_try;;
   1.260 +esac
   1.261 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.262 +  (eval "$ac_compile") 2>conftest.er1
   1.263 +  ac_status=$?
   1.264 +  grep -v '^ *+' conftest.er1 >conftest.err
   1.265 +  rm -f conftest.er1
   1.266 +  cat conftest.err >&5
   1.267 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.268 +  (exit $ac_status); } && {
   1.269 +	 test -z "$ac_c_werror_flag" ||
   1.270 +	 test ! -s conftest.err
   1.271 +       } && test -s conftest.$ac_objext; then
   1.272 +  ac_cv_member_struct_sigaction_sa_sigaction=yes
   1.273 +else
   1.274 +  echo "$as_me: failed program was:" >&5
   1.275 +sed 's/^/| /' conftest.$ac_ext >&5
   1.276 +
   1.277 +	cat >conftest.$ac_ext <<_ACEOF
   1.278 +/* confdefs.h.  */
   1.279 +_ACEOF
   1.280 +cat confdefs.h >>conftest.$ac_ext
   1.281 +cat >>conftest.$ac_ext <<_ACEOF
   1.282 +/* end confdefs.h.  */
   1.283 +#include <signal.h>
   1.284 +
   1.285 +int
   1.286 +main ()
   1.287 +{
   1.288 +static struct sigaction ac_aggr;
   1.289 +if (sizeof ac_aggr.sa_sigaction)
   1.290 +return 0;
   1.291 +  ;
   1.292 +  return 0;
   1.293 +}
   1.294 +_ACEOF
   1.295 +rm -f conftest.$ac_objext
   1.296 +if { (ac_try="$ac_compile"
   1.297 +case "(($ac_try" in
   1.298 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.299 +  *) ac_try_echo=$ac_try;;
   1.300 +esac
   1.301 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.302 +  (eval "$ac_compile") 2>conftest.er1
   1.303 +  ac_status=$?
   1.304 +  grep -v '^ *+' conftest.er1 >conftest.err
   1.305 +  rm -f conftest.er1
   1.306 +  cat conftest.err >&5
   1.307 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.308 +  (exit $ac_status); } && {
   1.309 +	 test -z "$ac_c_werror_flag" ||
   1.310 +	 test ! -s conftest.err
   1.311 +       } && test -s conftest.$ac_objext; then
   1.312 +  ac_cv_member_struct_sigaction_sa_sigaction=yes
   1.313 +else
   1.314 +  echo "$as_me: failed program was:" >&5
   1.315 +sed 's/^/| /' conftest.$ac_ext >&5
   1.316 +
   1.317 +	ac_cv_member_struct_sigaction_sa_sigaction=no
   1.318 +fi
   1.319 +
   1.320 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.321 +fi
   1.322 +
   1.323 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.324 +fi
   1.325 +{ echo "$as_me:$LINENO: result: $ac_cv_member_struct_sigaction_sa_sigaction" >&5
   1.326 +echo "${ECHO_T}$ac_cv_member_struct_sigaction_sa_sigaction" >&6; }
   1.327 +if test $ac_cv_member_struct_sigaction_sa_sigaction = yes; then
   1.328 +  cat >>confdefs.h <<\_ACEOF
   1.329 +#define HAVE_SA_SIGACTION 1
   1.330 +_ACEOF
   1.331 +
   1.332 +fi
   1.333 +
   1.334  fi
   1.335  
   1.336  { echo "$as_me:$LINENO: checking for void*" >&5
   1.337 @@ -18126,7 +18238,8 @@
   1.338  echo "${ECHO_T}$have_gcc_atomics" >&6; }
   1.339  
   1.340      if test x$have_gcc_atomics = xyes; then
   1.341 -        cat >>confdefs.h <<\_ACEOF
   1.342 +
   1.343 +cat >>confdefs.h <<\_ACEOF
   1.344  #define HAVE_GCC_ATOMICS 1
   1.345  _ACEOF
   1.346  
   1.347 @@ -18183,7 +18296,8 @@
   1.348  rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
   1.349        conftest$ac_exeext conftest.$ac_ext
   1.350          if test x$have_gcc_sync_lock_test_and_set = xyes; then
   1.351 -            cat >>confdefs.h <<\_ACEOF
   1.352 +
   1.353 +cat >>confdefs.h <<\_ACEOF
   1.354  #define HAVE_GCC_SYNC_LOCK_TEST_AND_SET 1
   1.355  _ACEOF
   1.356  
   1.357 @@ -18191,6 +18305,73 @@
   1.358      fi
   1.359  fi
   1.360  
   1.361 +# Check for pthread implementation
   1.362 +{ echo "$as_me:$LINENO: checking for pthread spinlock" >&5
   1.363 +echo $ECHO_N "checking for pthread spinlock... $ECHO_C" >&6; }
   1.364 +have_pthread_spinlock=no
   1.365 +
   1.366 +cat >conftest.$ac_ext <<_ACEOF
   1.367 +/* confdefs.h.  */
   1.368 +_ACEOF
   1.369 +cat confdefs.h >>conftest.$ac_ext
   1.370 +cat >>conftest.$ac_ext <<_ACEOF
   1.371 +/* end confdefs.h.  */
   1.372 +
   1.373 +#include <pthread.h>
   1.374 +
   1.375 +int
   1.376 +main ()
   1.377 +{
   1.378 +
   1.379 +pthread_spinlock_t a;
   1.380 +pthread_spin_trylock(&a);
   1.381 +pthread_spin_unlock(&a);
   1.382 +
   1.383 +  ;
   1.384 +  return 0;
   1.385 +}
   1.386 +_ACEOF
   1.387 +rm -f conftest.$ac_objext conftest$ac_exeext
   1.388 +if { (ac_try="$ac_link"
   1.389 +case "(($ac_try" in
   1.390 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.391 +  *) ac_try_echo=$ac_try;;
   1.392 +esac
   1.393 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.394 +  (eval "$ac_link") 2>conftest.er1
   1.395 +  ac_status=$?
   1.396 +  grep -v '^ *+' conftest.er1 >conftest.err
   1.397 +  rm -f conftest.er1
   1.398 +  cat conftest.err >&5
   1.399 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.400 +  (exit $ac_status); } && {
   1.401 +	 test -z "$ac_c_werror_flag" ||
   1.402 +	 test ! -s conftest.err
   1.403 +       } && test -s conftest$ac_exeext &&
   1.404 +       $as_test_x conftest$ac_exeext; then
   1.405 +
   1.406 +have_pthread_spinlock=yes
   1.407 +
   1.408 +else
   1.409 +  echo "$as_me: failed program was:" >&5
   1.410 +sed 's/^/| /' conftest.$ac_ext >&5
   1.411 +
   1.412 +
   1.413 +fi
   1.414 +
   1.415 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
   1.416 +      conftest$ac_exeext conftest.$ac_ext
   1.417 +{ echo "$as_me:$LINENO: result: $have_pthread_spinlock" >&5
   1.418 +echo "${ECHO_T}$have_pthread_spinlock" >&6; }
   1.419 +if test x$have_pthread_spinlock = xyes; then
   1.420 +
   1.421 +cat >>confdefs.h <<\_ACEOF
   1.422 +#define HAVE_PTHREAD_SPINLOCK 1
   1.423 +_ACEOF
   1.424 +
   1.425 +fi
   1.426 +
   1.427 +
   1.428  # Standard C sources
   1.429  SOURCES="$SOURCES $srcdir/src/*.c"
   1.430  SOURCES="$SOURCES $srcdir/src/atomic/*.c"
   1.431 @@ -18214,7 +18395,8 @@
   1.432  fi
   1.433  
   1.434  if test x$enable_atomic != xyes; then
   1.435 -    cat >>confdefs.h <<\_ACEOF
   1.436 +
   1.437 +cat >>confdefs.h <<\_ACEOF
   1.438  #define SDL_ATOMIC_DISABLED 1
   1.439  _ACEOF
   1.440  
   1.441 @@ -18227,7 +18409,8 @@
   1.442  fi
   1.443  
   1.444  if test x$enable_audio != xyes; then
   1.445 -    cat >>confdefs.h <<\_ACEOF
   1.446 +
   1.447 +cat >>confdefs.h <<\_ACEOF
   1.448  #define SDL_AUDIO_DISABLED 1
   1.449  _ACEOF
   1.450  
   1.451 @@ -18240,7 +18423,8 @@
   1.452  fi
   1.453  
   1.454  if test x$enable_video != xyes; then
   1.455 -    cat >>confdefs.h <<\_ACEOF
   1.456 +
   1.457 +cat >>confdefs.h <<\_ACEOF
   1.458  #define SDL_VIDEO_DISABLED 1
   1.459  _ACEOF
   1.460  
   1.461 @@ -18253,7 +18437,8 @@
   1.462  fi
   1.463  
   1.464  if test x$enable_render != xyes; then
   1.465 -    cat >>confdefs.h <<\_ACEOF
   1.466 +
   1.467 +cat >>confdefs.h <<\_ACEOF
   1.468  #define SDL_RENDER_DISABLED 1
   1.469  _ACEOF
   1.470  
   1.471 @@ -18266,7 +18451,8 @@
   1.472  fi
   1.473  
   1.474  if test x$enable_events != xyes; then
   1.475 -    cat >>confdefs.h <<\_ACEOF
   1.476 +
   1.477 +cat >>confdefs.h <<\_ACEOF
   1.478  #define SDL_EVENTS_DISABLED 1
   1.479  _ACEOF
   1.480  
   1.481 @@ -18279,7 +18465,8 @@
   1.482  fi
   1.483  
   1.484  if test x$enable_joystick != xyes; then
   1.485 -    cat >>confdefs.h <<\_ACEOF
   1.486 +
   1.487 +cat >>confdefs.h <<\_ACEOF
   1.488  #define SDL_JOYSTICK_DISABLED 1
   1.489  _ACEOF
   1.490  
   1.491 @@ -18294,7 +18481,8 @@
   1.492  fi
   1.493  
   1.494  if test x$enable_haptic != xyes; then
   1.495 -    cat >>confdefs.h <<\_ACEOF
   1.496 +
   1.497 +cat >>confdefs.h <<\_ACEOF
   1.498  #define SDL_HAPTIC_DISABLED 1
   1.499  _ACEOF
   1.500  
   1.501 @@ -18309,7 +18497,8 @@
   1.502  fi
   1.503  
   1.504  if test x$enable_power != xyes; then
   1.505 -    cat >>confdefs.h <<\_ACEOF
   1.506 +
   1.507 +cat >>confdefs.h <<\_ACEOF
   1.508  #define SDL_POWER_DISABLED 1
   1.509  _ACEOF
   1.510  
   1.511 @@ -18324,7 +18513,8 @@
   1.512  fi
   1.513  
   1.514  if test x$enable_threads != xyes; then
   1.515 -    cat >>confdefs.h <<\_ACEOF
   1.516 +
   1.517 +cat >>confdefs.h <<\_ACEOF
   1.518  #define SDL_THREADS_DISABLED 1
   1.519  _ACEOF
   1.520  
   1.521 @@ -18337,7 +18527,8 @@
   1.522  fi
   1.523  
   1.524  if test x$enable_timers != xyes; then
   1.525 -    cat >>confdefs.h <<\_ACEOF
   1.526 +
   1.527 +cat >>confdefs.h <<\_ACEOF
   1.528  #define SDL_TIMERS_DISABLED 1
   1.529  _ACEOF
   1.530  
   1.531 @@ -18350,7 +18541,8 @@
   1.532  fi
   1.533  
   1.534  if test x$enable_file != xyes; then
   1.535 -    cat >>confdefs.h <<\_ACEOF
   1.536 +
   1.537 +cat >>confdefs.h <<\_ACEOF
   1.538  #define SDL_FILE_DISABLED 1
   1.539  _ACEOF
   1.540  
   1.541 @@ -18363,7 +18555,8 @@
   1.542  fi
   1.543  
   1.544  if test x$enable_loadso != xyes; then
   1.545 -    cat >>confdefs.h <<\_ACEOF
   1.546 +
   1.547 +cat >>confdefs.h <<\_ACEOF
   1.548  #define SDL_LOADSO_DISABLED 1
   1.549  _ACEOF
   1.550  
   1.551 @@ -18376,7 +18569,8 @@
   1.552  fi
   1.553  
   1.554  if test x$enable_cpuinfo != xyes; then
   1.555 -    cat >>confdefs.h <<\_ACEOF
   1.556 +
   1.557 +cat >>confdefs.h <<\_ACEOF
   1.558  #define SDL_CPUINFO_DISABLED 1
   1.559  _ACEOF
   1.560  
   1.561 @@ -18389,7 +18583,8 @@
   1.562  fi
   1.563  
   1.564  if test x$enable_atomic != xyes; then
   1.565 -    cat >>confdefs.h <<\_ACEOF
   1.566 +
   1.567 +cat >>confdefs.h <<\_ACEOF
   1.568  #define SDL_ATOMIC_DISABLED 1
   1.569  _ACEOF
   1.570  
   1.571 @@ -18402,7 +18597,8 @@
   1.572  fi
   1.573  
   1.574  if test x$enable_assembly = xyes; then
   1.575 -    cat >>confdefs.h <<\_ACEOF
   1.576 +
   1.577 +cat >>confdefs.h <<\_ACEOF
   1.578  #define SDL_ASSEMBLY_ROUTINES 1
   1.579  _ACEOF
   1.580  
   1.581 @@ -18994,12 +19190,14 @@
   1.582          CFLAGS="$save_CFLAGS"
   1.583  
   1.584          if test x$have_gcc_altivec = xyes; then
   1.585 -            cat >>confdefs.h <<\_ACEOF
   1.586 +
   1.587 +cat >>confdefs.h <<\_ACEOF
   1.588  #define SDL_ALTIVEC_BLITTERS 1
   1.589  _ACEOF
   1.590  
   1.591              if test x$have_altivec_h_hdr = xyes; then
   1.592 -              cat >>confdefs.h <<\_ACEOF
   1.593 +
   1.594 +cat >>confdefs.h <<\_ACEOF
   1.595  #define HAVE_ALTIVEC_H 1
   1.596  _ACEOF
   1.597  
   1.598 @@ -19110,7 +19308,8 @@
   1.599         } && test -s conftest.$ac_objext; then
   1.600  
   1.601              have_oss=yes
   1.602 -            cat >>confdefs.h <<\_ACEOF
   1.603 +
   1.604 +cat >>confdefs.h <<\_ACEOF
   1.605  #define SDL_AUDIO_DRIVER_OSS_SOUNDCARD_H 1
   1.606  _ACEOF
   1.607  
   1.608 @@ -19127,7 +19326,8 @@
   1.609          { echo "$as_me:$LINENO: result: $have_oss" >&5
   1.610  echo "${ECHO_T}$have_oss" >&6; }
   1.611          if test x$have_oss = xyes; then
   1.612 -            cat >>confdefs.h <<\_ACEOF
   1.613 +
   1.614 +cat >>confdefs.h <<\_ACEOF
   1.615  #define SDL_AUDIO_DRIVER_OSS 1
   1.616  _ACEOF
   1.617  
   1.618 @@ -19424,7 +19624,8 @@
   1.619  
   1.620              alsa_lib=`find_lib "libasound.so.*" "$ALSA_LIBS" | sed 's/.*\/\(.*\)/\1/; q'`
   1.621  
   1.622 -            cat >>confdefs.h <<\_ACEOF
   1.623 +
   1.624 +cat >>confdefs.h <<\_ACEOF
   1.625  #define SDL_AUDIO_DRIVER_ALSA 1
   1.626  _ACEOF
   1.627  
   1.628 @@ -19438,7 +19639,8 @@
   1.629              if test x$have_loadso = xyes && \
   1.630                 test x$enable_alsa_shared = xyes && test x$alsa_lib != x; then
   1.631                  echo "-- dynamic libasound -> $alsa_lib"
   1.632 -                cat >>confdefs.h <<_ACEOF
   1.633 +
   1.634 +cat >>confdefs.h <<_ACEOF
   1.635  #define SDL_AUDIO_DRIVER_ALSA_DYNAMIC "$alsa_lib"
   1.636  _ACEOF
   1.637  
   1.638 @@ -19760,7 +19962,8 @@
   1.639  
   1.640              esd_lib=`find_lib "libesd.so.*" "$ESD_LIBS" | sed 's/.*\/\(.*\)/\1/; q'`
   1.641  
   1.642 -            cat >>confdefs.h <<\_ACEOF
   1.643 +
   1.644 +cat >>confdefs.h <<\_ACEOF
   1.645  #define SDL_AUDIO_DRIVER_ESD 1
   1.646  _ACEOF
   1.647  
   1.648 @@ -19774,7 +19977,8 @@
   1.649              if test x$have_loadso = xyes && \
   1.650                 test x$enable_esd_shared = xyes && test x$esd_lib != x; then
   1.651                  echo "-- dynamic libesd -> $esd_lib"
   1.652 -                cat >>confdefs.h <<_ACEOF
   1.653 +
   1.654 +cat >>confdefs.h <<_ACEOF
   1.655  #define SDL_AUDIO_DRIVER_ESD_DYNAMIC "$esd_lib"
   1.656  _ACEOF
   1.657  
   1.658 @@ -19863,7 +20067,8 @@
   1.659  
   1.660              pulseaudio_lib=`find_lib "libpulse-simple.so.*" "$PULSEAUDIO_LIBS" | sed 's/.*\/\(.*\)/\1/; q'`
   1.661  
   1.662 -            cat >>confdefs.h <<\_ACEOF
   1.663 +
   1.664 +cat >>confdefs.h <<\_ACEOF
   1.665  #define SDL_AUDIO_DRIVER_PULSEAUDIO 1
   1.666  _ACEOF
   1.667  
   1.668 @@ -19877,7 +20082,8 @@
   1.669              if test x$have_loadso = xyes && \
   1.670                 test x$enable_pulseaudio_shared = xyes && test x$pulseaudio_lib != x; then
   1.671                  echo "-- dynamic libpulse-simple -> $pulseaudio_lib"
   1.672 -                cat >>confdefs.h <<_ACEOF
   1.673 +
   1.674 +cat >>confdefs.h <<_ACEOF
   1.675  #define SDL_AUDIO_DRIVER_PULSEAUDIO_DYNAMIC "$pulseaudio_lib"
   1.676  _ACEOF
   1.677  
   1.678 @@ -20009,7 +20215,8 @@
   1.679  
   1.680                  arts_lib=`find_lib "libartsc.so.*" "$ARTS_LIBS" | sed 's/.*\/\(.*\)/\1/; q'`
   1.681  
   1.682 -                cat >>confdefs.h <<\_ACEOF
   1.683 +
   1.684 +cat >>confdefs.h <<\_ACEOF
   1.685  #define SDL_AUDIO_DRIVER_ARTS 1
   1.686  _ACEOF
   1.687  
   1.688 @@ -20023,7 +20230,8 @@
   1.689                  if test x$have_loadso = xyes && \
   1.690                     test x$enable_arts_shared = xyes && test x$arts_lib != x; then
   1.691                      echo "-- dynamic libartsc -> $arts_lib"
   1.692 -                    cat >>confdefs.h <<_ACEOF
   1.693 +
   1.694 +cat >>confdefs.h <<_ACEOF
   1.695  #define SDL_AUDIO_DRIVER_ARTS_DYNAMIC "$arts_lib"
   1.696  _ACEOF
   1.697  
   1.698 @@ -20278,7 +20486,8 @@
   1.699              if test x$have_loadso = xyes && \
   1.700                 test x$enable_nas_shared = xyes && test x$nas_lib != x; then
   1.701                  echo "-- dynamic libaudio -> $nas_lib"
   1.702 -                cat >>confdefs.h <<_ACEOF
   1.703 +
   1.704 +cat >>confdefs.h <<_ACEOF
   1.705  #define SDL_AUDIO_DRIVER_NAS_DYNAMIC "$nas_lib"
   1.706  _ACEOF
   1.707  
   1.708 @@ -20286,7 +20495,8 @@
   1.709                  EXTRA_LDFLAGS="$EXTRA_LDFLAGS $NAS_LIBS"
   1.710              fi
   1.711  
   1.712 -            cat >>confdefs.h <<\_ACEOF
   1.713 +
   1.714 +cat >>confdefs.h <<\_ACEOF
   1.715  #define SDL_AUDIO_DRIVER_NAS 1
   1.716  _ACEOF
   1.717  
   1.718 @@ -20307,7 +20517,8 @@
   1.719  fi
   1.720  
   1.721      if test x$enable_audio = xyes -a x$enable_diskaudio = xyes; then
   1.722 -        cat >>confdefs.h <<\_ACEOF
   1.723 +
   1.724 +cat >>confdefs.h <<\_ACEOF
   1.725  #define SDL_AUDIO_DRIVER_DISK 1
   1.726  _ACEOF
   1.727  
   1.728 @@ -20325,7 +20536,8 @@
   1.729  fi
   1.730  
   1.731      if test x$enable_audio = xyes -a x$enable_dummyaudio = xyes; then
   1.732 -        cat >>confdefs.h <<\_ACEOF
   1.733 +
   1.734 +cat >>confdefs.h <<\_ACEOF
   1.735  #define SDL_AUDIO_DRIVER_DUMMY 1
   1.736  _ACEOF
   1.737  
   1.738 @@ -21781,7 +21993,8 @@
   1.739              CFLAGS="$CFLAGS $X_CFLAGS"
   1.740              LDFLAGS="$LDFLAGS $X_LIBS"
   1.741  
   1.742 -            cat >>confdefs.h <<\_ACEOF
   1.743 +
   1.744 +cat >>confdefs.h <<\_ACEOF
   1.745  #define SDL_VIDEO_DRIVER_X11 1
   1.746  _ACEOF
   1.747  
   1.748 @@ -21808,11 +22021,13 @@
   1.749                 test x$enable_x11_shared = xyes && test x$x11_lib != x && test x$x11ext_lib != x; then
   1.750                  echo "-- dynamic libX11 -> $x11_lib"
   1.751                  echo "-- dynamic libX11ext -> $x11ext_lib"
   1.752 -                cat >>confdefs.h <<_ACEOF
   1.753 +
   1.754 +cat >>confdefs.h <<_ACEOF
   1.755  #define SDL_VIDEO_DRIVER_X11_DYNAMIC "$x11_lib"
   1.756  _ACEOF
   1.757  
   1.758 -                cat >>confdefs.h <<_ACEOF
   1.759 +
   1.760 +cat >>confdefs.h <<_ACEOF
   1.761  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XEXT "$x11ext_lib"
   1.762  _ACEOF
   1.763  
   1.764 @@ -21886,7 +22101,8 @@
   1.765                  if test x$have_xcursor_h_hdr = xyes; then
   1.766                      if test x$enable_x11_shared = xyes && test x$xcursor_lib != x ; then
   1.767                          echo "-- dynamic libXcursor -> $xcursor_lib"
   1.768 -                        cat >>confdefs.h <<_ACEOF
   1.769 +
   1.770 +cat >>confdefs.h <<_ACEOF
   1.771  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XCURSOR "$xcursor_lib"
   1.772  _ACEOF
   1.773  
   1.774 @@ -21965,7 +22181,8 @@
   1.775                  fi
   1.776              fi
   1.777              if test x$definitely_enable_video_x11_xcursor = xyes; then
   1.778 -                cat >>confdefs.h <<\_ACEOF
   1.779 +
   1.780 +cat >>confdefs.h <<\_ACEOF
   1.781  #define SDL_VIDEO_DRIVER_X11_XCURSOR 1
   1.782  _ACEOF
   1.783  
   1.784 @@ -22034,7 +22251,8 @@
   1.785                  if test x$have_xinerama_h_hdr = xyes; then
   1.786                      if test x$enable_x11_shared = xyes && test x$xinerama_lib != x ; then
   1.787                          echo "-- dynamic libXinerama -> $xinerama_lib"
   1.788 -                        cat >>confdefs.h <<_ACEOF
   1.789 +
   1.790 +cat >>confdefs.h <<_ACEOF
   1.791  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XINERAMA "$xinerama_lib"
   1.792  _ACEOF
   1.793  
   1.794 @@ -22113,7 +22331,8 @@
   1.795                  fi
   1.796              fi
   1.797              if test x$definitely_enable_video_x11_xinerama = xyes; then
   1.798 -                cat >>confdefs.h <<\_ACEOF
   1.799 +
   1.800 +cat >>confdefs.h <<\_ACEOF
   1.801  #define SDL_VIDEO_DRIVER_X11_XINERAMA 1
   1.802  _ACEOF
   1.803  
   1.804 @@ -22182,7 +22401,8 @@
   1.805                  if test x$have_xinput_h_hdr = xyes; then
   1.806                      if test x$enable_x11_shared = xyes && test x$xinput_lib != x ; then
   1.807                          echo "-- dynamic libXi -> $xinput_lib"
   1.808 -                        cat >>confdefs.h <<_ACEOF
   1.809 +
   1.810 +cat >>confdefs.h <<_ACEOF
   1.811  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XINPUT "$xinput_lib"
   1.812  _ACEOF
   1.813  
   1.814 @@ -22261,7 +22481,8 @@
   1.815                  fi
   1.816              fi
   1.817              if test x$definitely_enable_video_x11_xinput = xyes; then
   1.818 -                cat >>confdefs.h <<\_ACEOF
   1.819 +
   1.820 +cat >>confdefs.h <<\_ACEOF
   1.821  #define SDL_VIDEO_DRIVER_X11_XINPUT 1
   1.822  _ACEOF
   1.823  
   1.824 @@ -22330,7 +22551,8 @@
   1.825                  if test x$have_xrandr_h_hdr = xyes; then
   1.826                      if test x$enable_x11_shared = xyes && test x$xrandr_lib != x ; then
   1.827                          echo "-- dynamic libXrandr -> $xrandr_lib"
   1.828 -                        cat >>confdefs.h <<_ACEOF
   1.829 +
   1.830 +cat >>confdefs.h <<_ACEOF
   1.831  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XRANDR "$xrandr_lib"
   1.832  _ACEOF
   1.833  
   1.834 @@ -22409,7 +22631,8 @@
   1.835                  fi
   1.836              fi
   1.837              if test x$definitely_enable_video_x11_xrandr = xyes; then
   1.838 -                cat >>confdefs.h <<\_ACEOF
   1.839 +
   1.840 +cat >>confdefs.h <<\_ACEOF
   1.841  #define SDL_VIDEO_DRIVER_X11_XRANDR 1
   1.842  _ACEOF
   1.843  
   1.844 @@ -22477,7 +22700,8 @@
   1.845                  if test x$have_scrnsaver_h_hdr = xyes; then
   1.846                      if test x$enable_x11_shared = xyes && test x$xss_lib != x ; then
   1.847                          echo "-- dynamic libXss -> $xss_lib"
   1.848 -                        cat >>confdefs.h <<_ACEOF
   1.849 +
   1.850 +cat >>confdefs.h <<_ACEOF
   1.851  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XSS "$xss_lib"
   1.852  _ACEOF
   1.853  
   1.854 @@ -22556,7 +22780,8 @@
   1.855                  fi
   1.856              fi
   1.857              if test x$definitely_enable_video_x11_scrnsaver = xyes; then
   1.858 -                cat >>confdefs.h <<\_ACEOF
   1.859 +
   1.860 +cat >>confdefs.h <<\_ACEOF
   1.861  #define SDL_VIDEO_DRIVER_X11_XSCRNSAVER 1
   1.862  _ACEOF
   1.863  
   1.864 @@ -22622,7 +22847,8 @@
   1.865  
   1.866  
   1.867                  if test x$have_shape_h_hdr = xyes; then
   1.868 -                    cat >>confdefs.h <<\_ACEOF
   1.869 +
   1.870 +cat >>confdefs.h <<\_ACEOF
   1.871  #define SDL_VIDEO_DRIVER_X11_XSHAPE 1
   1.872  _ACEOF
   1.873  
   1.874 @@ -22692,7 +22918,8 @@
   1.875                  if test x$have_vm_h_hdr = xyes; then
   1.876                      if test x$enable_x11_shared = xyes && test x$xvidmode_lib != x ; then
   1.877                          echo "-- dynamic libXxf86vm -> $xvidmode_lib"
   1.878 -                        cat >>confdefs.h <<_ACEOF
   1.879 +
   1.880 +cat >>confdefs.h <<_ACEOF
   1.881  #define SDL_VIDEO_DRIVER_X11_DYNAMIC_XVIDMODE "$xvidmode_lib"
   1.882  _ACEOF
   1.883  
   1.884 @@ -22771,7 +22998,8 @@
   1.885                  fi
   1.886              fi
   1.887              if test x$definitely_enable_video_x11_vm = xyes; then
   1.888 -                cat >>confdefs.h <<\_ACEOF
   1.889 +
   1.890 +cat >>confdefs.h <<\_ACEOF
   1.891  #define SDL_VIDEO_DRIVER_X11_XVIDMODE 1
   1.892  _ACEOF
   1.893  
   1.894 @@ -22783,7 +23011,8 @@
   1.895  CheckBWINDOW()
   1.896  {
   1.897      if test x$enable_video = xyes; then
   1.898 -        cat >>confdefs.h <<\_ACEOF
   1.899 +
   1.900 +cat >>confdefs.h <<\_ACEOF
   1.901  #define SDL_VIDEO_DRIVER_BWINDOW 1
   1.902  _ACEOF
   1.903  
   1.904 @@ -22857,7 +23086,8 @@
   1.905  echo "${ECHO_T}$have_cocoa" >&6; }
   1.906          CFLAGS="$save_CFLAGS"
   1.907          if test x$have_cocoa = xyes; then
   1.908 -            cat >>confdefs.h <<\_ACEOF
   1.909 +
   1.910 +cat >>confdefs.h <<\_ACEOF
   1.911  #define SDL_VIDEO_DRIVER_COCOA 1
   1.912  _ACEOF
   1.913  
   1.914 @@ -23142,11 +23372,13 @@
   1.915  fi
   1.916  
   1.917  
   1.918 -            cat >>confdefs.h <<\_ACEOF
   1.919 +
   1.920 +cat >>confdefs.h <<\_ACEOF
   1.921  #define SDL_VIDEO_DRIVER_DIRECTFB 1
   1.922  _ACEOF
   1.923  
   1.924 -            cat >>confdefs.h <<\_ACEOF
   1.925 +
   1.926 +cat >>confdefs.h <<\_ACEOF
   1.927  #define SDL_VIDEO_RENDER_DIRECTFB 1
   1.928  _ACEOF
   1.929  
   1.930 @@ -23169,7 +23401,8 @@
   1.931                 test x$enable_directfb_shared = xyes && test x$directfb_lib != x; then
   1.932                  directfb_shared=yes
   1.933                  echo "-- $directfb_lib_spec -> $directfb_lib"
   1.934 -                cat >>confdefs.h <<_ACEOF
   1.935 +
   1.936 +cat >>confdefs.h <<_ACEOF
   1.937  #define SDL_VIDEO_DRIVER_DIRECTFB_DYNAMIC "$directfb_lib"
   1.938  _ACEOF
   1.939  
   1.940 @@ -23251,7 +23484,8 @@
   1.941  echo "${ECHO_T}$fusionsound" >&6; }
   1.942  
   1.943          if test x$fusionsound = xyes; then
   1.944 -            cat >>confdefs.h <<\_ACEOF
   1.945 +
   1.946 +cat >>confdefs.h <<\_ACEOF
   1.947  #define SDL_AUDIO_DRIVER_FUSIONSOUND 1
   1.948  _ACEOF
   1.949  
   1.950 @@ -23275,7 +23509,8 @@
   1.951              fi
   1.952              if test x$have_loadso = xyes && \
   1.953                 test x$enable_fusionsound_shared = xyes; then
   1.954 -                cat >>confdefs.h <<_ACEOF
   1.955 +
   1.956 +cat >>confdefs.h <<_ACEOF
   1.957  #define SDL_AUDIO_DRIVER_FUSIONSOUND_DYNAMIC "libfusionsound.so"
   1.958  _ACEOF
   1.959  
   1.960 @@ -23301,7 +23536,8 @@
   1.961  fi
   1.962  
   1.963      if test x$enable_video_dummy = xyes; then
   1.964 -        cat >>confdefs.h <<\_ACEOF
   1.965 +
   1.966 +cat >>confdefs.h <<\_ACEOF
   1.967  #define SDL_VIDEO_DRIVER_DUMMY 1
   1.968  _ACEOF
   1.969  
   1.970 @@ -23374,15 +23610,18 @@
   1.971          { echo "$as_me:$LINENO: result: $video_opengl" >&5
   1.972  echo "${ECHO_T}$video_opengl" >&6; }
   1.973          if test x$video_opengl = xyes; then
   1.974 -            cat >>confdefs.h <<\_ACEOF
   1.975 +
   1.976 +cat >>confdefs.h <<\_ACEOF
   1.977  #define SDL_VIDEO_OPENGL 1
   1.978  _ACEOF
   1.979  
   1.980 -            cat >>confdefs.h <<\_ACEOF
   1.981 +
   1.982 +cat >>confdefs.h <<\_ACEOF
   1.983  #define SDL_VIDEO_OPENGL_GLX 1
   1.984  _ACEOF
   1.985  
   1.986 -            cat >>confdefs.h <<\_ACEOF
   1.987 +
   1.988 +cat >>confdefs.h <<\_ACEOF
   1.989  #define SDL_VIDEO_RENDER_OGL 1
   1.990  _ACEOF
   1.991  
   1.992 @@ -23393,15 +23632,18 @@
   1.993  CheckWINDOWSGL()
   1.994  {
   1.995      if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
   1.996 -        cat >>confdefs.h <<\_ACEOF
   1.997 +
   1.998 +cat >>confdefs.h <<\_ACEOF
   1.999  #define SDL_VIDEO_OPENGL 1
  1.1000  _ACEOF
  1.1001  
  1.1002 -        cat >>confdefs.h <<\_ACEOF
  1.1003 +
  1.1004 +cat >>confdefs.h <<\_ACEOF
  1.1005  #define SDL_VIDEO_OPENGL_WGL 1
  1.1006  _ACEOF
  1.1007  
  1.1008 -        cat >>confdefs.h <<\_ACEOF
  1.1009 +
  1.1010 +cat >>confdefs.h <<\_ACEOF
  1.1011  #define SDL_VIDEO_RENDER_OGL 1
  1.1012  _ACEOF
  1.1013  
  1.1014 @@ -23411,15 +23653,18 @@
  1.1015  CheckBeGL()
  1.1016  {
  1.1017      if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
  1.1018 -        cat >>confdefs.h <<\_ACEOF
  1.1019 +
  1.1020 +cat >>confdefs.h <<\_ACEOF
  1.1021  #define SDL_VIDEO_OPENGL 1
  1.1022  _ACEOF
  1.1023  
  1.1024 -        cat >>confdefs.h <<\_ACEOF
  1.1025 +
  1.1026 +cat >>confdefs.h <<\_ACEOF
  1.1027  #define SDL_VIDEO_OPENGL_BGL 1
  1.1028  _ACEOF
  1.1029  
  1.1030 -        cat >>confdefs.h <<\_ACEOF
  1.1031 +
  1.1032 +cat >>confdefs.h <<\_ACEOF
  1.1033  #define SDL_VIDEO_RENDER_OGL 1
  1.1034  _ACEOF
  1.1035  
  1.1036 @@ -23430,15 +23675,18 @@
  1.1037  CheckMacGL()
  1.1038  {
  1.1039      if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
  1.1040 -        cat >>confdefs.h <<\_ACEOF
  1.1041 +
  1.1042 +cat >>confdefs.h <<\_ACEOF
  1.1043  #define SDL_VIDEO_OPENGL 1
  1.1044  _ACEOF
  1.1045  
  1.1046 -        cat >>confdefs.h <<\_ACEOF
  1.1047 +
  1.1048 +cat >>confdefs.h <<\_ACEOF
  1.1049  #define SDL_VIDEO_OPENGL_CGL 1
  1.1050  _ACEOF
  1.1051  
  1.1052 -        cat >>confdefs.h <<\_ACEOF
  1.1053 +
  1.1054 +cat >>confdefs.h <<\_ACEOF
  1.1055  #define SDL_VIDEO_RENDER_OGL 1
  1.1056  _ACEOF
  1.1057  
  1.1058 @@ -23516,7 +23764,8 @@
  1.1059          { echo "$as_me:$LINENO: result: $use_input_events" >&5
  1.1060  echo "${ECHO_T}$use_input_events" >&6; }
  1.1061          if test x$use_input_events = xyes; then
  1.1062 -            cat >>confdefs.h <<\_ACEOF
  1.1063 +
  1.1064 +cat >>confdefs.h <<\_ACEOF
  1.1065  #define SDL_INPUT_LINUXEV 1
  1.1066  _ACEOF
  1.1067  
  1.1068 @@ -23586,7 +23835,8 @@
  1.1069          { echo "$as_me:$LINENO: result: $enable_input_tslib" >&5
  1.1070  echo "${ECHO_T}$enable_input_tslib" >&6; }
  1.1071          if test x$enable_input_tslib = xyes; then
  1.1072 -            cat >>confdefs.h <<\_ACEOF
  1.1073 +
  1.1074 +cat >>confdefs.h <<\_ACEOF
  1.1075  #define SDL_INPUT_TSLIB 1
  1.1076  _ACEOF
  1.1077  
  1.1078 @@ -23724,7 +23974,8 @@
  1.1079  
  1.1080          # Do futher testing if we have pthread support...
  1.1081          if test x$use_pthreads = xyes; then
  1.1082 -            cat >>confdefs.h <<\_ACEOF
  1.1083 +
  1.1084 +cat >>confdefs.h <<\_ACEOF
  1.1085  #define SDL_THREAD_PTHREAD 1
  1.1086  _ACEOF
  1.1087  
  1.1088 @@ -23782,7 +24033,8 @@
  1.1089         } && test -s conftest.$ac_objext; then
  1.1090  
  1.1091                  has_recursive_mutexes=yes
  1.1092 -                cat >>confdefs.h <<\_ACEOF
  1.1093 +
  1.1094 +cat >>confdefs.h <<\_ACEOF
  1.1095  #define SDL_THREAD_PTHREAD_RECURSIVE_MUTEX 1
  1.1096  _ACEOF
  1.1097  
  1.1098 @@ -23836,7 +24088,8 @@
  1.1099         } && test -s conftest.$ac_objext; then
  1.1100  
  1.1101                  has_recursive_mutexes=yes
  1.1102 -                cat >>confdefs.h <<\_ACEOF
  1.1103 +
  1.1104 +cat >>confdefs.h <<\_ACEOF
  1.1105  #define SDL_THREAD_PTHREAD_RECURSIVE_MUTEX_NP 1
  1.1106  _ACEOF
  1.1107  
  1.1108 @@ -24584,6 +24837,136 @@
  1.1109  fi
  1.1110  
  1.1111  
  1.1112 +        if test "${ac_cv_header_xaudio2_h+set}" = set; then
  1.1113 +  { echo "$as_me:$LINENO: checking for xaudio2.h" >&5
  1.1114 +echo $ECHO_N "checking for xaudio2.h... $ECHO_C" >&6; }
  1.1115 +if test "${ac_cv_header_xaudio2_h+set}" = set; then
  1.1116 +  echo $ECHO_N "(cached) $ECHO_C" >&6
  1.1117 +fi
  1.1118 +{ echo "$as_me:$LINENO: result: $ac_cv_header_xaudio2_h" >&5
  1.1119 +echo "${ECHO_T}$ac_cv_header_xaudio2_h" >&6; }
  1.1120 +else
  1.1121 +  # Is the header compilable?
  1.1122 +{ echo "$as_me:$LINENO: checking xaudio2.h usability" >&5
  1.1123 +echo $ECHO_N "checking xaudio2.h usability... $ECHO_C" >&6; }
  1.1124 +cat >conftest.$ac_ext <<_ACEOF
  1.1125 +/* confdefs.h.  */
  1.1126 +_ACEOF
  1.1127 +cat confdefs.h >>conftest.$ac_ext
  1.1128 +cat >>conftest.$ac_ext <<_ACEOF
  1.1129 +/* end confdefs.h.  */
  1.1130 +$ac_includes_default
  1.1131 +#include <xaudio2.h>
  1.1132 +_ACEOF
  1.1133 +rm -f conftest.$ac_objext
  1.1134 +if { (ac_try="$ac_compile"
  1.1135 +case "(($ac_try" in
  1.1136 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1137 +  *) ac_try_echo=$ac_try;;
  1.1138 +esac
  1.1139 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1140 +  (eval "$ac_compile") 2>conftest.er1
  1.1141 +  ac_status=$?
  1.1142 +  grep -v '^ *+' conftest.er1 >conftest.err
  1.1143 +  rm -f conftest.er1
  1.1144 +  cat conftest.err >&5
  1.1145 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1146 +  (exit $ac_status); } && {
  1.1147 +	 test -z "$ac_c_werror_flag" ||
  1.1148 +	 test ! -s conftest.err
  1.1149 +       } && test -s conftest.$ac_objext; then
  1.1150 +  ac_header_compiler=yes
  1.1151 +else
  1.1152 +  echo "$as_me: failed program was:" >&5
  1.1153 +sed 's/^/| /' conftest.$ac_ext >&5
  1.1154 +
  1.1155 +	ac_header_compiler=no
  1.1156 +fi
  1.1157 +
  1.1158 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1159 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
  1.1160 +echo "${ECHO_T}$ac_header_compiler" >&6; }
  1.1161 +
  1.1162 +# Is the header present?
  1.1163 +{ echo "$as_me:$LINENO: checking xaudio2.h presence" >&5
  1.1164 +echo $ECHO_N "checking xaudio2.h presence... $ECHO_C" >&6; }
  1.1165 +cat >conftest.$ac_ext <<_ACEOF
  1.1166 +/* confdefs.h.  */
  1.1167 +_ACEOF
  1.1168 +cat confdefs.h >>conftest.$ac_ext
  1.1169 +cat >>conftest.$ac_ext <<_ACEOF
  1.1170 +/* end confdefs.h.  */
  1.1171 +#include <xaudio2.h>
  1.1172 +_ACEOF
  1.1173 +if { (ac_try="$ac_cpp conftest.$ac_ext"
  1.1174 +case "(($ac_try" in
  1.1175 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  1.1176 +  *) ac_try_echo=$ac_try;;
  1.1177 +esac
  1.1178 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  1.1179 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  1.1180 +  ac_status=$?
  1.1181 +  grep -v '^ *+' conftest.er1 >conftest.err
  1.1182 +  rm -f conftest.er1
  1.1183 +  cat conftest.err >&5
  1.1184 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  1.1185 +  (exit $ac_status); } >/dev/null && {
  1.1186 +	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
  1.1187 +	 test ! -s conftest.err
  1.1188 +       }; then
  1.1189 +  ac_header_preproc=yes
  1.1190 +else
  1.1191 +  echo "$as_me: failed program was:" >&5
  1.1192 +sed 's/^/| /' conftest.$ac_ext >&5
  1.1193 +
  1.1194 +  ac_header_preproc=no
  1.1195 +fi
  1.1196 +
  1.1197 +rm -f conftest.err conftest.$ac_ext
  1.1198 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
  1.1199 +echo "${ECHO_T}$ac_header_preproc" >&6; }
  1.1200 +
  1.1201 +# So?  What about this header?
  1.1202 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  1.1203 +  yes:no: )
  1.1204 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h: accepted by the compiler, rejected by the preprocessor!" >&5
  1.1205 +echo "$as_me: WARNING: xaudio2.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
  1.1206 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h: proceeding with the compiler's result" >&5
  1.1207 +echo "$as_me: WARNING: xaudio2.h: proceeding with the compiler's result" >&2;}
  1.1208 +    ac_header_preproc=yes
  1.1209 +    ;;
  1.1210 +  no:yes:* )
  1.1211 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h: present but cannot be compiled" >&5
  1.1212 +echo "$as_me: WARNING: xaudio2.h: present but cannot be compiled" >&2;}
  1.1213 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h:     check for missing prerequisite headers?" >&5
  1.1214 +echo "$as_me: WARNING: xaudio2.h:     check for missing prerequisite headers?" >&2;}
  1.1215 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h: see the Autoconf documentation" >&5
  1.1216 +echo "$as_me: WARNING: xaudio2.h: see the Autoconf documentation" >&2;}
  1.1217 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h:     section \"Present But Cannot Be Compiled\"" >&5
  1.1218 +echo "$as_me: WARNING: xaudio2.h:     section \"Present But Cannot Be Compiled\"" >&2;}
  1.1219 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h: proceeding with the preprocessor's result" >&5
  1.1220 +echo "$as_me: WARNING: xaudio2.h: proceeding with the preprocessor's result" >&2;}
  1.1221 +    { echo "$as_me:$LINENO: WARNING: xaudio2.h: in the future, the compiler will take precedence" >&5
  1.1222 +echo "$as_me: WARNING: xaudio2.h: in the future, the compiler will take precedence" >&2;}
  1.1223 +
  1.1224 +    ;;
  1.1225 +esac
  1.1226 +{ echo "$as_me:$LINENO: checking for xaudio2.h" >&5
  1.1227 +echo $ECHO_N "checking for xaudio2.h... $ECHO_C" >&6; }
  1.1228 +if test "${ac_cv_header_xaudio2_h+set}" = set; then
  1.1229 +  echo $ECHO_N "(cached) $ECHO_C" >&6
  1.1230 +else
  1.1231 +  ac_cv_header_xaudio2_h=$ac_header_preproc
  1.1232 +fi
  1.1233 +{ echo "$as_me:$LINENO: result: $ac_cv_header_xaudio2_h" >&5
  1.1234 +echo "${ECHO_T}$ac_cv_header_xaudio2_h" >&6; }
  1.1235 +
  1.1236 +fi
  1.1237 +if test $ac_cv_header_xaudio2_h = yes; then
  1.1238 +  have_xaudio2=yes
  1.1239 +fi
  1.1240 +
  1.1241 +
  1.1242      fi
  1.1243  }
  1.1244  
  1.1245 @@ -24850,7 +25233,8 @@
  1.1246  
  1.1247  fi
  1.1248  
  1.1249 -            cat >>confdefs.h <<\_ACEOF
  1.1250 +
  1.1251 +cat >>confdefs.h <<\_ACEOF
  1.1252  #define SDL_LOADSO_DLOPEN 1
  1.1253  _ACEOF
  1.1254  
  1.1255 @@ -25793,7 +26177,8 @@
  1.1256  
  1.1257  rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  1.1258              if test x$have_machine_joystick = xyes; then
  1.1259 -                cat >>confdefs.h <<\_ACEOF
  1.1260 +
  1.1261 +cat >>confdefs.h <<\_ACEOF
  1.1262  #define SDL_JOYSTICK_USBHID_MACHINE_JOYSTICK_H 1
  1.1263  _ACEOF
  1.1264  
  1.1265 @@ -25801,7 +26186,8 @@
  1.1266              { echo "$as_me:$LINENO: result: $have_machine_joystick" >&5
  1.1267  echo "${ECHO_T}$have_machine_joystick" >&6; }
  1.1268  
  1.1269 -            cat >>confdefs.h <<\_ACEOF
  1.1270 +
  1.1271 +cat >>confdefs.h <<\_ACEOF
  1.1272  #define SDL_JOYSTICK_USBHID 1
  1.1273  _ACEOF
  1.1274  
  1.1275 @@ -25890,7 +26276,8 @@
  1.1276  fi
  1.1277  
  1.1278          if test x$have_clock_gettime = xyes; then
  1.1279 -            cat >>confdefs.h <<\_ACEOF
  1.1280 +
  1.1281 +cat >>confdefs.h <<\_ACEOF
  1.1282  #define HAVE_CLOCK_GETTIME 1
  1.1283  _ACEOF
  1.1284  
  1.1285 @@ -25962,7 +26349,8 @@
  1.1286  fi
  1.1287  
  1.1288              if test x$have_clock_gettime = xyes; then
  1.1289 -               cat >>confdefs.h <<\_ACEOF
  1.1290 +
  1.1291 +cat >>confdefs.h <<\_ACEOF
  1.1292  #define HAVE_CLOCK_GETTIME 1
  1.1293  _ACEOF
  1.1294  
  1.1295 @@ -26166,7 +26554,8 @@
  1.1296          if test x$enable_audio = xyes; then
  1.1297            case $ARCH in
  1.1298              sysv5|solaris|hpux)
  1.1299 -                cat >>confdefs.h <<\_ACEOF
  1.1300 +
  1.1301 +cat >>confdefs.h <<\_ACEOF
  1.1302  #define SDL_AUDIO_DRIVER_SUNAUDIO 1
  1.1303  _ACEOF
  1.1304  
  1.1305 @@ -26174,7 +26563,8 @@
  1.1306                  have_audio=yes
  1.1307              ;;
  1.1308              netbsd|openbsd)
  1.1309 -                cat >>confdefs.h <<\_ACEOF
  1.1310 +
  1.1311 +cat >>confdefs.h <<\_ACEOF
  1.1312  #define SDL_AUDIO_DRIVER_BSD 1
  1.1313  _ACEOF
  1.1314  
  1.1315 @@ -26182,7 +26572,8 @@
  1.1316                  have_audio=yes
  1.1317              ;;
  1.1318              aix)
  1.1319 -                cat >>confdefs.h <<\_ACEOF
  1.1320 +
  1.1321 +cat >>confdefs.h <<\_ACEOF
  1.1322  #define SDL_AUDIO_DRIVER_PAUDIO 1
  1.1323  _ACEOF
  1.1324  
  1.1325 @@ -26195,7 +26586,8 @@
  1.1326          if test x$enable_joystick = xyes; then
  1.1327            case $ARCH in
  1.1328              linux)
  1.1329 -                cat >>confdefs.h <<\_ACEOF
  1.1330 +
  1.1331 +cat >>confdefs.h <<\_ACEOF
  1.1332  #define SDL_JOYSTICK_LINUX 1
  1.1333  _ACEOF
  1.1334  
  1.1335 @@ -26209,7 +26601,8 @@
  1.1336             if test x$use_input_events = xyes; then
  1.1337               case $ARCH in
  1.1338                 linux)
  1.1339 -                   cat >>confdefs.h <<\_ACEOF
  1.1340 +
  1.1341 +cat >>confdefs.h <<\_ACEOF
  1.1342  #define SDL_HAPTIC_LINUX 1
  1.1343  _ACEOF
  1.1344  
  1.1345 @@ -26223,7 +26616,8 @@
  1.1346          if test x$enable_power = xyes; then
  1.1347               case $ARCH in
  1.1348                 linux)
  1.1349 -                   cat >>confdefs.h <<\_ACEOF
  1.1350 +
  1.1351 +cat >>confdefs.h <<\_ACEOF
  1.1352  #define SDL_POWER_LINUX 1
  1.1353  _ACEOF
  1.1354  
  1.1355 @@ -26234,7 +26628,8 @@
  1.1356          fi
  1.1357          # Set up files for the timer library
  1.1358          if test x$enable_timers = xyes; then
  1.1359 -            cat >>confdefs.h <<\_ACEOF
  1.1360 +
  1.1361 +cat >>confdefs.h <<\_ACEOF
  1.1362  #define SDL_TIMER_UNIX 1
  1.1363  _ACEOF
  1.1364  
  1.1365 @@ -26249,7 +26644,8 @@
  1.1366          CheckDummyAudio
  1.1367          CheckWINDOWS
  1.1368          if test x$enable_video = xyes; then
  1.1369 -            cat >>confdefs.h <<\_ACEOF
  1.1370 +
  1.1371 +cat >>confdefs.h <<\_ACEOF
  1.1372  #define SDL_VIDEO_DRIVER_WINDOWS 1
  1.1373  _ACEOF
  1.1374  
  1.1375 @@ -26264,7 +26660,8 @@
  1.1376  
  1.1377              enable_render_d3d=no
  1.1378              if test x$enable_render_d3d = xyes -a x$have_d3d = xyes; then
  1.1379 -                cat >>confdefs.h <<\_ACEOF
  1.1380 +
  1.1381 +cat >>confdefs.h <<\_ACEOF
  1.1382  #define SDL_VIDEO_RENDER_D3D 1
  1.1383  _ACEOF
  1.1384  
  1.1385 @@ -26272,23 +26669,34 @@
  1.1386          fi
  1.1387          # Set up files for the audio library
  1.1388          if test x$enable_audio = xyes; then
  1.1389 -            cat >>confdefs.h <<\_ACEOF
  1.1390 -#define SDL_AUDIO_DRIVER_WINWAVEOUT 1
  1.1391 -_ACEOF
  1.1392 -
  1.1393 -            SOURCES="$SOURCES $srcdir/src/audio/windib/*.c"
  1.1394 +
  1.1395 +cat >>confdefs.h <<\_ACEOF
  1.1396 +#define SDL_AUDIO_DRIVER_WINMM 1
  1.1397 +_ACEOF
  1.1398 +
  1.1399 +            SOURCES="$SOURCES $srcdir/src/audio/winmm/*.c"
  1.1400              if test x$have_dsound = xyes; then
  1.1401 -                cat >>confdefs.h <<\_ACEOF
  1.1402 +
  1.1403 +cat >>confdefs.h <<\_ACEOF
  1.1404  #define SDL_AUDIO_DRIVER_DSOUND 1
  1.1405  _ACEOF
  1.1406  
  1.1407 -                SOURCES="$SOURCES $srcdir/src/audio/windx5/*.c"
  1.1408 +                SOURCES="$SOURCES $srcdir/src/audio/directsound/*.c"
  1.1409 +            fi
  1.1410 +            if test x$have_xaudio2 = xyes; then
  1.1411 +
  1.1412 +cat >>confdefs.h <<\_ACEOF
  1.1413 +#define SDL_AUDIO_DRIVER_XAUDIO2 1
  1.1414 +_ACEOF
  1.1415 +
  1.1416 +                SOURCES="$SOURCES $srcdir/src/audio/xaudio2/*.c"
  1.1417              fi
  1.1418              have_audio=yes
  1.1419          fi
  1.1420          # Set up dummy files for the joystick for now
  1.1421          if test x$enable_joystick = xyes; then
  1.1422 -            cat >>confdefs.h <<\_ACEOF
  1.1423 +
  1.1424 +cat >>confdefs.h <<\_ACEOF
  1.1425  #define SDL_JOYSTICK_DUMMY 1
  1.1426  _ACEOF
  1.1427  
  1.1428 @@ -26297,7 +26705,8 @@
  1.1429          fi
  1.1430          # Set up files for the thread library
  1.1431          if test x$enable_threads = xyes; then
  1.1432 -            cat >>confdefs.h <<\_ACEOF
  1.1433 +
  1.1434 +cat >>confdefs.h <<\_ACEOF
  1.1435  #define SDL_THREAD_WINDOWS 1
  1.1436  _ACEOF
  1.1437  
  1.1438 @@ -26309,7 +26718,8 @@
  1.1439          fi
  1.1440          # Set up files for the timer library
  1.1441          if test x$enable_timers = xyes; then
  1.1442 -            cat >>confdefs.h <<\_ACEOF
  1.1443 +
  1.1444 +cat >>confdefs.h <<\_ACEOF
  1.1445  #define SDL_TIMER_WINCE 1
  1.1446  _ACEOF
  1.1447  
  1.1448 @@ -26318,7 +26728,8 @@
  1.1449          fi
  1.1450          # Set up files for the shared object loading library
  1.1451          if test x$enable_loadso = xyes; then
  1.1452 -            cat >>confdefs.h <<\_ACEOF
  1.1453 +
  1.1454 +cat >>confdefs.h <<\_ACEOF
  1.1455  #define SDL_LOADSO_WINDOWS 1
  1.1456  _ACEOF
  1.1457  
  1.1458 @@ -26365,7 +26776,8 @@
  1.1459  
  1.1460          # Set up files for the video library
  1.1461          if test x$enable_video = xyes; then
  1.1462 -            cat >>confdefs.h <<\_ACEOF
  1.1463 +
  1.1464 +cat >>confdefs.h <<\_ACEOF
  1.1465  #define SDL_VIDEO_DRIVER_WINDOWS 1
  1.1466  _ACEOF
  1.1467  
  1.1468 @@ -26379,7 +26791,8 @@
  1.1469  fi
  1.1470  
  1.1471              if test x$enable_render_d3d = xyes -a x$have_d3d = xyes; then
  1.1472 -                cat >>confdefs.h <<\_ACEOF
  1.1473 +
  1.1474 +cat >>confdefs.h <<\_ACEOF
  1.1475  #define SDL_VIDEO_RENDER_D3D 1
  1.1476  _ACEOF
  1.1477  
  1.1478 @@ -26387,31 +26800,43 @@
  1.1479          fi
  1.1480          # Set up files for the audio library
  1.1481          if test x$enable_audio = xyes; then
  1.1482 -            cat >>confdefs.h <<\_ACEOF
  1.1483 -#define SDL_AUDIO_DRIVER_WINWAVEOUT 1
  1.1484 -_ACEOF
  1.1485 -
  1.1486 -            SOURCES="$SOURCES $srcdir/src/audio/windib/*.c"
  1.1487 +
  1.1488 +cat >>confdefs.h <<\_ACEOF
  1.1489 +#define SDL_AUDIO_DRIVER_WINMM 1
  1.1490 +_ACEOF
  1.1491 +
  1.1492 +            SOURCES="$SOURCES $srcdir/src/audio/winmm/*.c"
  1.1493              if test x$have_dsound = xyes; then
  1.1494 -                cat >>confdefs.h <<\_ACEOF
  1.1495 +
  1.1496 +cat >>confdefs.h <<\_ACEOF
  1.1497  #define SDL_AUDIO_DRIVER_DSOUND 1
  1.1498  _ACEOF
  1.1499  
  1.1500 -                SOURCES="$SOURCES $srcdir/src/audio/windx5/*.c"
  1.1501 +                SOURCES="$SOURCES $srcdir/src/audio/directsound/*.c"
  1.1502 +            fi
  1.1503 +            if test x$have_xaudio2 = xyes; then
  1.1504 +
  1.1505 +cat >>confdefs.h <<\_ACEOF
  1.1506 +#define SDL_AUDIO_DRIVER_XAUDIO2 1
  1.1507 +_ACEOF
  1.1508 +
  1.1509 +                SOURCES="$SOURCES $srcdir/src/audio/xaudio2/*.c"
  1.1510              fi
  1.1511              have_audio=yes
  1.1512          fi
  1.1513          # Set up files for the joystick library
  1.1514          if test x$enable_joystick = xyes; then
  1.1515              if test x$have_dinput = xyes; then
  1.1516 -                cat >>confdefs.h <<\_ACEOF
  1.1517 +
  1.1518 +cat >>confdefs.h <<\_ACEOF
  1.1519  #define SDL_JOYSTICK_DINPUT 1
  1.1520  _ACEOF
  1.1521  
  1.1522                  SOURCES="$SOURCES $srcdir/src/joystick/windows/SDL_dxjoystick.c"
  1.1523                  EXTRA_LDFLAGS="$EXTRA_LDFLAGS -ldinput8 -ldxguid -ldxerr8"
  1.1524              else
  1.1525 -                cat >>confdefs.h <<\_ACEOF
  1.1526 +
  1.1527 +cat >>confdefs.h <<\_ACEOF
  1.1528  #define SDL_JOYSTICK_WINMM 1
  1.1529  _ACEOF
  1.1530  
  1.1531 @@ -26421,7 +26846,8 @@
  1.1532          fi
  1.1533          if test x$enable_haptic = xyes; then
  1.1534              if test x$have_dinput = xyes; then
  1.1535 -                cat >>confdefs.h <<\_ACEOF
  1.1536 +
  1.1537 +cat >>confdefs.h <<\_ACEOF
  1.1538  #define SDL_HAPTIC_DINPUT 1
  1.1539  _ACEOF
  1.1540  
  1.1541 @@ -26430,7 +26856,8 @@
  1.1542              fi
  1.1543          fi
  1.1544          if test x$enable_power = xyes; then
  1.1545 -            cat >>confdefs.h <<\_ACEOF
  1.1546 +
  1.1547 +cat >>confdefs.h <<\_ACEOF
  1.1548  #define SDL_POWER_WINDOWS 1
  1.1549  _ACEOF
  1.1550  
  1.1551 @@ -26439,7 +26866,8 @@
  1.1552          fi
  1.1553          # Set up files for the thread library
  1.1554          if test x$enable_threads = xyes; then
  1.1555 -            cat >>confdefs.h <<\_ACEOF
  1.1556 +
  1.1557 +cat >>confdefs.h <<\_ACEOF
  1.1558  #define SDL_THREAD_WINDOWS 1
  1.1559  _ACEOF
  1.1560  
  1.1561 @@ -26451,7 +26879,8 @@
  1.1562          fi
  1.1563          # Set up files for the timer library
  1.1564          if test x$enable_timers = xyes; then
  1.1565 -            cat >>confdefs.h <<\_ACEOF
  1.1566 +
  1.1567 +cat >>confdefs.h <<\_ACEOF
  1.1568  #define SDL_TIMER_WINDOWS 1
  1.1569  _ACEOF
  1.1570  
  1.1571 @@ -26460,7 +26889,8 @@
  1.1572          fi
  1.1573          # Set up files for the shared object loading library
  1.1574          if test x$enable_loadso = xyes; then
  1.1575 -            cat >>confdefs.h <<\_ACEOF
  1.1576 +
  1.1577 +cat >>confdefs.h <<\_ACEOF
  1.1578  #define SDL_LOADSO_WINDOWS 1
  1.1579  _ACEOF
  1.1580  
  1.1581 @@ -26488,7 +26918,8 @@
  1.1582          CheckBeGL
  1.1583          # Set up files for the audio library
  1.1584          if test x$enable_audio = xyes; then
  1.1585 -            cat >>confdefs.h <<\_ACEOF
  1.1586 +
  1.1587 +cat >>confdefs.h <<\_ACEOF
  1.1588  #define SDL_AUDIO_DRIVER_BEOSAUDIO 1
  1.1589  _ACEOF
  1.1590  
  1.1591 @@ -26497,7 +26928,8 @@
  1.1592          fi
  1.1593          # Set up files for the joystick library
  1.1594          if test x$enable_joystick = xyes; then
  1.1595 -            cat >>confdefs.h <<\_ACEOF
  1.1596 +
  1.1597 +cat >>confdefs.h <<\_ACEOF
  1.1598  #define SDL_JOYSTICK_BEOS 1
  1.1599  _ACEOF
  1.1600  
  1.1601 @@ -26506,7 +26938,8 @@
  1.1602          fi
  1.1603          # Set up files for the thread library
  1.1604          if test x$enable_threads = xyes; then
  1.1605 -            cat >>confdefs.h <<\_ACEOF
  1.1606 +
  1.1607 +cat >>confdefs.h <<\_ACEOF
  1.1608  #define SDL_THREAD_BEOS 1
  1.1609  _ACEOF
  1.1610  
  1.1611 @@ -26517,7 +26950,8 @@
  1.1612          fi
  1.1613          # Set up files for the timer library
  1.1614          if test x$enable_timers = xyes; then
  1.1615 -            cat >>confdefs.h <<\_ACEOF
  1.1616 +
  1.1617 +cat >>confdefs.h <<\_ACEOF
  1.1618  #define SDL_TIMER_BEOS 1
  1.1619  _ACEOF
  1.1620  
  1.1621 @@ -26526,7 +26960,8 @@
  1.1622          fi
  1.1623          # Set up files for the shared object loading library
  1.1624          if test x$enable_loadso = xyes; then
  1.1625 -            cat >>confdefs.h <<\_ACEOF
  1.1626 +
  1.1627 +cat >>confdefs.h <<\_ACEOF
  1.1628  #define SDL_LOADSO_BEOS 1
  1.1629  _ACEOF
  1.1630  
  1.1631 @@ -26535,7 +26970,8 @@
  1.1632          fi
  1.1633          # Set up files for the system power library
  1.1634          if test x$enable_power = xyes; then
  1.1635 -            cat >>confdefs.h <<\_ACEOF
  1.1636 +
  1.1637 +cat >>confdefs.h <<\_ACEOF
  1.1638  #define SDL_POWER_BEOS 1
  1.1639  _ACEOF
  1.1640  
  1.1641 @@ -26565,7 +27001,8 @@
  1.1642          # Set up files for the shared object loading library
  1.1643          # (this needs to be done before the dynamic X11 check)
  1.1644          if test x$enable_loadso = xyes -a x$have_dlopen != xyes; then
  1.1645 -            cat >>confdefs.h <<\_ACEOF
  1.1646 +
  1.1647 +cat >>confdefs.h <<\_ACEOF
  1.1648  #define SDL_LOADSO_DLCOMPAT 1
  1.1649  _ACEOF
  1.1650  
  1.1651 @@ -26587,16 +27024,18 @@
  1.1652  
  1.1653          # Set up files for the audio library
  1.1654          if test x$enable_audio = xyes; then
  1.1655 -            cat >>confdefs.h <<\_ACEOF
  1.1656 +
  1.1657 +cat >>confdefs.h <<\_ACEOF
  1.1658  #define SDL_AUDIO_DRIVER_COREAUDIO 1
  1.1659  _ACEOF
  1.1660  
  1.1661 -            SOURCES="$SOURCES $srcdir/src/audio/macosx/*.c"
  1.1662 +            SOURCES="$SOURCES $srcdir/src/audio/coreaudio/*.c"
  1.1663              have_audio=yes
  1.1664          fi
  1.1665          # Set up files for the joystick library
  1.1666          if test x$enable_joystick = xyes; then
  1.1667 -            cat >>confdefs.h <<\_ACEOF
  1.1668 +
  1.1669 +cat >>confdefs.h <<\_ACEOF
  1.1670  #define SDL_JOYSTICK_IOKIT 1
  1.1671  _ACEOF
  1.1672  
  1.1673 @@ -26605,7 +27044,8 @@
  1.1674          fi
  1.1675          # Set up files for the haptic library
  1.1676          if test x$enable_haptic = xyes; then
  1.1677 -            cat >>confdefs.h <<\_ACEOF
  1.1678 +
  1.1679 +cat >>confdefs.h <<\_ACEOF
  1.1680  #define SDL_HAPTIC_IOKIT 1
  1.1681  _ACEOF
  1.1682  
  1.1683 @@ -26615,7 +27055,8 @@
  1.1684          fi
  1.1685          # Set up files for the power library
  1.1686          if test x$enable_power = xyes; then
  1.1687 -            cat >>confdefs.h <<\_ACEOF
  1.1688 +
  1.1689 +cat >>confdefs.h <<\_ACEOF
  1.1690  #define SDL_POWER_MACOSX 1
  1.1691  _ACEOF
  1.1692  
  1.1693 @@ -26624,7 +27065,8 @@
  1.1694          fi
  1.1695          # Set up files for the timer library
  1.1696          if test x$enable_timers = xyes; then
  1.1697 -            cat >>confdefs.h <<\_ACEOF
  1.1698 +
  1.1699 +cat >>confdefs.h <<\_ACEOF
  1.1700  #define SDL_TIMER_UNIX 1
  1.1701  _ACEOF
  1.1702  
  1.1703 @@ -26661,7 +27103,8 @@
  1.1704  
  1.1705  if test x$have_joystick != xyes; then
  1.1706      if test x$enable_joystick = xyes; then
  1.1707 -        cat >>confdefs.h <<\_ACEOF
  1.1708 +
  1.1709 +cat >>confdefs.h <<\_ACEOF
  1.1710  #define SDL_JOYSTICK_DISABLED 1
  1.1711  _ACEOF
  1.1712  
  1.1713 @@ -26670,7 +27113,8 @@
  1.1714  fi
  1.1715  if test x$have_haptic != xyes; then
  1.1716      if test x$enable_haptic = xyes; then
  1.1717 -        cat >>confdefs.h <<\_ACEOF
  1.1718 +
  1.1719 +cat >>confdefs.h <<\_ACEOF
  1.1720  #define SDL_HAPTIC_DISABLED 1
  1.1721  _ACEOF
  1.1722  
  1.1723 @@ -26679,7 +27123,8 @@
  1.1724  fi
  1.1725  if test x$have_threads != xyes; then
  1.1726      if test x$enable_threads = xyes; then
  1.1727 -        cat >>confdefs.h <<\_ACEOF
  1.1728 +
  1.1729 +cat >>confdefs.h <<\_ACEOF
  1.1730  #define SDL_THREADS_DISABLED 1
  1.1731  _ACEOF
  1.1732  
  1.1733 @@ -26688,7 +27133,8 @@
  1.1734  fi
  1.1735  if test x$have_timers != xyes; then
  1.1736      if test x$enable_timers = xyes; then
  1.1737 -        cat >>confdefs.h <<\_ACEOF
  1.1738 +
  1.1739 +cat >>confdefs.h <<\_ACEOF
  1.1740  #define SDL_TIMERS_DISABLED 1
  1.1741  _ACEOF
  1.1742  
  1.1743 @@ -26697,7 +27143,8 @@
  1.1744  fi
  1.1745  if test x$have_loadso != xyes; then
  1.1746      if test x$enable_loadso = xyes; then
  1.1747 -        cat >>confdefs.h <<\_ACEOF
  1.1748 +
  1.1749 +cat >>confdefs.h <<\_ACEOF
  1.1750  #define SDL_LOADSO_DISABLED 1
  1.1751  _ACEOF
  1.1752